package cn.hanghui.outapi.platform.tenant.entity.dto;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
public class SysOperLogSearch extends BaseSearch implements Serializable {

    /**
     * 所属模块
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.LogTagEnum
     */
    @ApiModelProperty(value = "所属模块-所属模块枚举")
    private String tag;
    /**
     * 业务类型BusinessTypeEnum枚举
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.BusinessTypeEnum
     */
    @ApiModelProperty(value = "业务类型-业务类型枚举")
    private Integer businessType;

    @ApiModelProperty(value = "操作名称")
    private String title;

    @ApiModelProperty(value = "操作人员")
    private String operName;

    @ApiModelProperty(value = "操作人员手机号")
    private String operPhone;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "账号")
    private Long accountId;

}
