package cn.hanghui.outapi.platform.tenant.entity.dto;

import cn.hanghui.outapi.platform.tenant.entity.dto.blacklist.UserBlacklistBean;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
public class SysOperLogVo implements Serializable {

    /**
     * 所属模块
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.LogTagEnum
     */
    @ApiModelProperty(value = "所属模块-所属模块枚举")
    private String tag;
    /**
     * 业务类型BusinessTypeEnum枚举
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.BusinessTypeEnum
     */
    @ApiModelProperty(value = "业务类型-业务类型枚举")
    private String businessTypeName;

    @ApiModelProperty(value = "操作名称")
    private String title;

    @ApiModelProperty(value = "方法名称")
    private String method;

    @ApiModelProperty(value = "操作人员")
    private String operName;

    @ApiModelProperty(value = "操作人员手机号")
    private String operPhone;

    @ApiModelProperty(value = "请求参数")
    private String operParam;

    @ApiModelProperty(value = "返回参数")
    private String jsonResult;

    @ApiModelProperty(value = "错误消息")
    private String errorMsg;

    @ApiModelProperty(value = "操作状态（true正常 false异常）")
    private Boolean status;

    @ApiModelProperty(value = "操作时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operTime;

    @ApiModelProperty(value = "执行时长(毫秒)")
    private Long executeTime;

    @ApiModelProperty(value = "账号名称")
    private String accountName;
}
