package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 设备
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "hh_omc_device", autoResultMap = true)
public class HhOmcDevice extends Base {

    @ApiModelProperty(value = "授权状态  0：未授权 1：已授权")
    private Boolean status;
    @ApiModelProperty(value = "第一次授权时间")
    private Date firstAuthTime;

    //设备基本配置
    @ApiModelProperty(value = "设备sn")
    private String sn;
    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;
    @ApiModelProperty(value = "应用类型id")
    private Long applicationTypeId;
    @ApiModelProperty(value = "设备型号(硬件)id")
    private Long deviceModelHardwareId;
    @ApiModelProperty(value = "设备型号(环境)id")
    private Long deviceModelEnvironmentId;
    @ApiModelProperty(value = "系统类型 1-蚂蚁OS 2-非蚂蚁OS")
    private Integer systemTypeCode;
    @ApiModelProperty(value = "ota平台ws地址")
    private String websocketSubscribeUrl;


}

